/*!
 * 
 * Copyright 2024 Karlsruhe Institute of Technology.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *       http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-0c94ea0c.js');
const appGlobals = require('./app-globals-b5a8b713.js');

const defineCustomElements = async (win, options) => {
  if (typeof window === 'undefined') return undefined;
  await appGlobals.globalScripts();
  return index.bootstrapLazy([["color-highlight.cjs",[[0,"color-highlight",{"text":[1],"color":[32]}]]],["locale-visualization.cjs",[[0,"locale-visualization",{"locale":[1],"showFlag":[4,"show-flag"]}]]],["copy-button.cjs",[[0,"copy-button",{"value":[1]}]]],["pid-component.cjs",[[0,"pid-component",{"value":[1],"settings":[1],"openByDefault":[4,"open-by-default"],"amountOfItems":[2,"amount-of-items"],"levelOfSubcomponents":[2,"level-of-subcomponents"],"currentLevelOfSubcomponents":[2,"current-level-of-subcomponents"],"hideSubcomponents":[4,"hide-subcomponents"],"emphasizeComponent":[4,"emphasize-component"],"showTopLevelCopy":[4,"show-top-level-copy"],"defaultTTL":[2,"default-t-t-l"],"identifierObject":[32],"items":[32],"actions":[32],"loadSubcomponents":[32],"displayStatus":[32],"tablePage":[32],"temporarilyEmphasized":[32]},null,{"value":["watchValue"],"loadSubcomponents":["watchLoadSubcomponents"]}]]]], options);
};

exports.setNonce = index.setNonce;
exports.defineCustomElements = defineCustomElements;

//# sourceMappingURL=loader.cjs.js.map