/*!
 *
 * Copyright 2024 Karlsruhe Institute of Technology.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
export class GenericIdentifierType {
    constructor(value, settings) {
        this._settings = [];
        this._items = [];
        this._actions = [];
        this._value = value;
        this._settings = settings;
    }
    get settings() {
        return this._settings;
    }
    set settings(value) {
        this._settings = value;
    }
    get items() {
        return this._items;
    }
    get actions() {
        return this._actions;
    }
    get value() {
        return this._value;
    }
    get data() {
        return undefined;
    }
    renderBody() {
        return undefined;
    }
}
//# sourceMappingURL=GenericIdentifierType.js.map
