import { GenericIdentifierType } from '../../utils/GenericIdentifierType';
import { FoldableItem } from '../../utils/FoldableItem';
import { FoldableAction } from '../../utils/FoldableAction';
export declare class PidComponent {
    value: string;
    settings: string;
    openByDefault: boolean;
    amountOfItems: number;
    levelOfSubcomponents: number;
    currentLevelOfSubcomponents: number;
    hideSubcomponents: boolean;
    emphasizeComponent: boolean;
    showTopLevelCopy: boolean;
    defaultTTL: number;
    identifierObject: GenericIdentifierType;
    items: FoldableItem[];
    actions: FoldableAction[];
    loadSubcomponents: boolean;
    displayStatus: 'loading' | 'loaded' | 'error';
    tablePage: number;
    temporarilyEmphasized: boolean;
    watchValue(): Promise<void>;
    watchLoadSubcomponents(): Promise<void>;
    componentWillLoad(): Promise<void>;
    render(): any;
    private toggleSubcomponents;
    private showTooltip;
    private hideTooltip;
}
