import { PIDRecord } from './PIDRecord';
export declare class PID {
    private readonly _prefix;
    private readonly _suffix;
    constructor(prefix: string, suffix: string);
    get prefix(): string;
    get suffix(): string;
    static isPID(text: string): boolean;
    static getPIDFromString(pid: string): PID;
    static fromJSON(serialized: string): PID;
    toString(): string;
    isResolvable(): boolean;
    resolve(): Promise<PIDRecord | undefined>;
    toObject(): {
        prefix: string;
        suffix: string;
    };
}
export declare const locationType: PID;
