import { PID } from '../rendererModules/Handle/PID';
import { PIDDataType } from '../rendererModules/Handle/PIDDataType';
import { PIDRecord } from '../rendererModules/Handle/PIDRecord';
import { GenericIdentifierType } from './GenericIdentifierType';
export declare const renderers: {
    priority: number;
    key: string;
    constructor: new (value: string, settings?: {
        name: string;
        value: any;
    }[]) => GenericIdentifierType;
}[];
export declare const typeMap: Map<PID, PIDDataType>;
export declare const handleMap: Map<PID, PIDRecord>;
export declare const unresolvables: Set<PID>;
