/*!
 *
 * Copyright 2024 Karlsruhe Institute of Technology.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
export class FoldableAction {
    constructor(priority, title, link, style) {
        this._priority = priority;
        this._title = title;
        this._link = link;
        this._style = style;
    }
    get priority() {
        return this._priority;
    }
    get title() {
        return this._title;
    }
    get link() {
        return this._link;
    }
    get style() {
        return this._style;
    }
}
//# sourceMappingURL=FoldableAction.js.map
