import { Meta, StoryObj } from '@storybook/web-components';
declare const meta: Meta;
export default meta;
type Story = StoryObj;
export declare const Default: Story;
export declare const Handle: Story;
export declare const HandleWithoutSubcomponent: Story;
export declare const ORCID: Story;
export declare const Date: Story;
export declare const URL: Story;
export declare const Email: Story;
export declare const CommaSeperatedMails: Story;
export declare const Fallback: Story;
export declare const ORCIDInRecord: {
    args: {
        value: string;
        openStatus: boolean;
    };
    parameters: {
        docs: {
            source: {
                code: string;
            };
        };
    };
};
export declare const ORCIDInRecordWithoutLimit: {
    args: {
        value: string;
        amountOfItems: number;
        openStatus: boolean;
    };
    parameters: {
        docs: {
            source: {
                code: string;
            };
        };
    };
};
export declare const ORCIDInRecordWithSettings: {
    args: {
        value: string;
        settings: string;
    };
    parameters: {
        docs: {
            source: {
                code: string;
            };
        };
    };
};
export declare const HandleInText: Story;
export declare const HandleInTextNotEmphasized: Story;
export declare const ORCIDInText: Story;
export declare const HandleWithoutSubcomponentInText: Story;
export declare const TypedPIDMakerExampleText: Story;
