import { FunctionalComponent } from '../../stencil-public-runtime';
import { GenericIdentifierType } from '../../utils/GenericIdentifierType';
export declare class ORCIDType extends GenericIdentifierType {
    private _orcidInfo;
    private affiliationAt;
    private showAffiliation;
    get data(): string;
    hasCorrectFormat(): boolean;
    init(data?: string): Promise<void>;
    isResolvable(): boolean;
    renderPreview(): FunctionalComponent<any>;
    getSettingsKey(): string;
}
