export declare class FoldableItem {
    private readonly _priority;
    private readonly _keyTitle;
    private readonly _value;
    private readonly _keyTooltip?;
    private readonly _keyLink?;
    private readonly _valueRegex?;
    private readonly _renderDynamically?;
    private readonly _estimatedTypePriority;
    constructor(priority: number, keyTitle: string, value: string, keyTooltip?: string, keyLink?: string, valueRegex?: RegExp, renderDynamically?: boolean);
    get priority(): number;
    get keyTitle(): string;
    get value(): string;
    get keyTooltip(): string;
    get keyLink(): string;
    get valueRegex(): RegExp;
    get renderDynamically(): boolean;
    get estimatedTypePriority(): number;
    isValidValue(): boolean;
}
